--- title: "create-file-import" slug: "create-file-import" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/create-file-import" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # create-file-import Available in VPC Request file import to import a file from an Object Storage bucket into a box. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/import/create-file-import | ### Request headers For information about the headers common to all Datafence APIs, see [Datafence request headers](/docs/en/datafence-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `fenceId` | Integer | Required | Datafence number - See [get-datafence](/docs/en/get-datafence). | | `boxId` | Integer | Required | Box number - See [get-box-list](/docs/en/get-box-list). | | `sourceBucketName` | String | Required | Source bucket name | | `sourceFilePathList` | Array | Required | List of file names requested for import - Number of files that can be imported at the same time: 10 - Maximum size per file: 2 GB | | `targetNasInstanceNo` | String | Required | Target NAS instance number - See [get-target-nas-list](/docs/en/get-target-nas-list). | | `description` | String | Required | Description for the import request - 1-50 characters | ### Request example The request example is as follows: ``` curl --location --request POST 'https://datafence.apigw.ntruss.com/api/v1/import/create-file-import' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "fenceId": 26, "boxId": 74, "sourceBucketName": "test-bucket-for-fence", "sourceFilePathList": ["datafence001.txt", "datafence002.txt"], "targetNasInstanceNo": ********, "description": "File import request" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `message` | String | - | API processing result message | ### Response status codes For information about the HTTP status codes common to all Datafence APIs, see [Datafence API response status codes](/docs/en/datafence-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "message": "File import requested." } ```